.site-search {
	display: block;
	position: absolute;
	top: 0;
	right: 0;
	width: 40px;
	height: 40px;

	@include breakpoint($wide) {
		top: 55px;
		right: -60px;
	};

	background: url('../gfx/search-icon.png') right top no-repeat;
	background-size: contain;
	cursor: pointer;

	&:hover {
		padding-left: 200px;

		input.search-query, button[type=submit] {
			opacity: 1;
		}
	}

	input.search-query, button[type=submit] {
		transition: all 0.5s ease-in-out;
		opacity: 0;
		position: absolute;
		right: 60px;
		top: 0;
		z-index: 999;

		&:focus {
			opacity: 1;
			& + button {
				opacity: 1;
			}
		}
	}

	input.search-query {
		border: 2px solid $main-green;
		border-radius: 20px;
		padding: 5px 10px;
		height: 20px;
		color: $main-green;
		width: 300px;
	}

	button[type=submit] {
		overflow: visible;
		position: relative;
		float: right;
		padding: 0;
		margin: 0;
		cursor: pointer;
		width: 60px;
		height: 34px;
		color: #fff;
		text-transform: uppercase;
		background: $main-green;
		border-radius: 0 20px 20px 0;
		border:2px solid $main-green;
	}
}